package learn.navdrawbase;

import android.os.Bundle;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;


public class Activity3 extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_3);

        // Each row in the list stores country name, currency and flag
        List<HashMap<String,String>> aList = new ArrayList<HashMap<String,String>>();

        //Nombre de Lieux à afficher
        int nbLieu = 10;

        //Tableau des lieux
        String[] lieux = new String[nbLieu]; //nom du lieu
        String[] etats = new String[nbLieu]; //fréquentation du lieu
        int[] images = new int[nbLieu]; //image du lieu
        int srcImage = R.drawable.image1;

        String[] totoName = new String[] {"toto Nom"}; //Générer avec les données de la base
        String[] totoEtat = new String[] {"toto Etat"}; //Générer avec les données de la base

        //remplir les tableaux
        for(int i=0; i < nbLieu; i++){
            lieux[i] = totoName[0];
            etats[i] = totoEtat[0];
            images[i] = srcImage;
        }


        for(int i=0; i<lieux.length; i++){
            HashMap<String, String> hm = new HashMap<String,String>();
            hm.put("lieu", "Lieu : " + lieux[i]);
            hm.put("etat","Etat : " + etats[i]);
            hm.put("image", Integer.toString(images[0]));
            aList.add(hm);
        }

        // Keys used in Hashmap
        String[] from = {"image","lieu","etat"};

        // Ids of views in listview_layout
        int[] to = {R.id.image0, R.id.lieu0, R.id.etat0};

        // Instantiating an adapter to store each items
        // R.layout.listview_layout defines the layout of each item
        SimpleAdapter adapter = new SimpleAdapter(getBaseContext(), aList, R.layout.content_3, from, to);

        // Getting a reference to listview of main.xml layout file
        ListView listView = ( ListView ) findViewById(R.id.listview);

        // Setting the adapter to the listView
        listView.setAdapter(adapter);


        //Set nav drawer selected to second item in list
        mNavigationView.getMenu().getItem(2).setChecked(true);

    }
}
